/*!********************************************************************
 * The Initial Developer of the content of this file is NETCONOMY.
 * All portions of the code written by NETCONOMY are property of
 * NETCONOMY. All Rights Reserved.
 *
 * NETCONOMY Software & Consulting GmbH
 * Hilmgasse 4, A-8010 Graz (Austria)
 * FN 204360 f, Landesgericht fuer ZRS Graz
 * Tel: +43 (316) 815 544
 * Fax: +43 (316) 815544-99
 * www.netconomy.net
 *
 * (c) 2022 by NETCONOMY Software & Consulting GmbH
 ********************************************************************/

@use 'shop/resources/scss/base/constants/colors';
@use 'shop/resources/scss/base/mixins/typography';

.entries {
    border-bottom: 1px solid colors.$color-primary;
    padding-top: 5px;
    padding-bottom: 5px;
}

.product {
    display: flex;
    justify-content: space-between;
    margin: 10px auto;
}

.description {
    display: flex;
}

.image {
    :global(img) {
        object-fit: contain;
        object-position: center center;
        width: 80px;
        height: 80px;
    }
}

.name,
.info {
    @include typography.text-ellipsis;

    text-align: left;
    width: 175px;
    margin-left: 15px;
}

.name {
    @include typography.text(small);
    @include typography.font(bold);
}

.info {
    @include typography.text(small);
}

.price {
    @include typography.text(small);
    @include typography.font(bold);

    padding-left: 5px;
}
